/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Jan 2005

 File          : Blink.c

 Hardware      : ADuC7033

 Description   : Blinks the P2.1(GPIO8) at 2Hz using Timer0
		
*********************************************************************/

#include<ADuC7033.h>

void My_IRQ_Function(void);
char i;	
char received_data[30];

int main()
{
	T3CON = 0;							// Disable watchdog timer

	IRQ = My_IRQ_Function;
	IRQEN = 0x4;						// Enable T0 to generate an interrupt

	GP2DAT = 0x02000000;				// Enable P2.1 (GPIO8) as an output
										// GPIO8 is connected to a LED on eval board
	T0LD = 16384;						// 16384 / 32.768kHz => Period 0.5s = 2Hz
	T0VAL0 = 16384;
	T0CON = 0x2C0;						// Enable T0 to operate from Low Power
										// 32.768kHz Oscillator, Count down, Periodic, 
										// 16-bit operation and source clock /1

	while(1)							// Infinite Loop
	{}
	return 0;

}

void My_IRQ_Function() 
{
	GP2DAT ^=0x020000;					// Complement P2.1
	T0CLRI = 0x01;						// Clear T0 Interrupt
	return ;
}



